 -- vec3 = {};
 -- vec3.x = 0;
 -- vec3.y = 0;
 -- vec3.z = 0;
 
 -- detected = false;
 -- visible = false;
 -- lastTime = 0;
 -- lastPos = vec3;
 -- lastVel = vec3;


function IsSpotted( spotter, target)
	local detected,
	 visible,
	 lastTime,
	 lastPos,
	 lastVel = Controller.isTargetDetected(Unit.getController(Unit.getByName(spotter)),
												 Unit.getByName(target) );
	return detected;													 
end;

function IsVisibleVisual( spotter, target)
	local detected,
	 visible,
	 lastTime,
	 lastPos,
	 lastVel = Controller.isTargetDetected(Unit.getController(Unit.getByName(spotter)),
												 Unit.getByName(target),
												 Controller.Detection.VISUAL );
	return visible;											 
end;

function IsVisibleRWR( spotter, target)
	local detected,
	 visible,
	 lastTime,
	 lastPos,
	 lastVel = Controller.isTargetDetected(Unit.getController(Unit.getByName(spotter)),
												 Unit.getByName(target),
												Controller.Detection.RWR );
	return visible;													 
end;

function IsVisibleOptic( spotter, target)
	local detected,
	 visible,
	 lastTime,
	 lastPos,
	 lastVel = Controller.isTargetDetected(Unit.getController(Unit.getByName(spotter)),
												 Unit.getByName(target),
												Controller.Detection.OPTIC );
	return visible;												 
end;

function IsVisibleRadar( spotter, target)
	local detected,
	 visible,
	 lastTime,
	 lastPos,
	 lastVel = Controller.isTargetDetected(Unit.getController(Unit.getByName(spotter)),
												 Unit.getByName(target),
												Controller.Detection.RADAR );
	return visible;												 
end;

function IsVisibleIRST( spotter, target)
	local detected,
	 visible,
	 lastTime,
	 lastPos,
	 lastVel = Controller.isTargetDetected(Unit.getController(Unit.getByName(spotter)),
												 Unit.getByName(target),
												Controller.Detection.IRST );
	return visible;													 
end;

function IsVisibleDatalink( spotter, target)
	local detected,
	 visible,
	 lastTime,
	 lastPos,
	 lastVel = Controller.isTargetDetected(Unit.getController(Unit.getByName(spotter)),
												 Unit.getByName(target),
												Controller.Detection.DLINK );

	return visible;										 
end;




function SpottingLoop(spotter2, target2)
	local output = "-- ";
	

	if IsSpotted( spotter2, target2) then
		output = output .. " Spotted using";
	end;

	if IsVisibleVisual( spotter2, target2) then
		output = output .. " Visual";
	end;
	
	if IsVisibleOptic( spotter2, target2) then
		output = output .. " Optics";
	end;

	if IsVisibleRadar( spotter2, target2) then
		output = output .. " Radar";
	end;
	
	if IsVisibleIRST( spotter2, target2) then
		output = output .. " IRST";
	end;

	if IsVisibleRWR( spotter2, target2) then
		output = output .. " RWR";
	end;	
	
	if IsVisibleDatalink( spotter2, target2) then
		output = output .. " DLINK";
	end;
	
	trigger.action.outText(output, 5);
	mist.scheduleFunction(SpottingLoop, {spotter2, target2}, timer.getTime() + 5);
	
end;

SpottingLoop("hekoAI", "player");
							
-- Conroller.Detection = {
   -- VISUAL,
   -- OPTIC,
   -- RADAR,
   -- IRST,
   -- RWR,
   -- DLINK
 -- }